Subject: Re: riscv defconfig CONFIG_PM/macb/generic PHY regression in v5.18-rc1

From: Andrew Lunn <[email-masked]>
Date: Tue, 5 Apr 2022 16:56:00 +0200

> Is this some sort of lack of support for CONFIG_PM=y in my clock driver,
> that's leading to the PHY getting stuck in reset?
> Or an interaction between CONFIG_PM=y & the macb/generic phy drivers?

What clock is driving the PHY? Sometimes the SoC outputs a clock to
the PHY, and the PHY will not work without it. Sometimes it is the
other way around, the PHY outputs a clock to SoC, so this might not be
your issue.

Maybe PM is turning the clock off because nothing is using it?

      Andrew